package com.uas.finance.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 出账附件类
 * created by shicr on 2018/1/27
 **/
@Entity
@Table(name = "accountapplyattach")
public class AccountApplyAttach implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Long id;

    /**
     * 附件名
     */
    @Column(name = "name")
    private String name;

    /**
     * 附件路径
     */
    @Column(name = "path")
    private String path;

    /**
     * 文件大小
     */
    @Column(name = "size")
    private Long size;

    /**
     * 文件所属类别
     */
    @Column(name = "type")
    private String type;


    /**
     * 附件所属的保理公司
     */
    @Column(name = "faenuu")
    private Long fauu;

    /**
     * 附件删除id
     */
    @Column(name = "uid")
    private Long uid;

    /**
     * 出账所属的id
     */
    @Column(name = "aaid")
    private Long aaid;

    @ManyToOne(cascade = CascadeType.REFRESH)
    @JoinColumn(name = "aaid", insertable = false, updatable = false)
    private AccountApply accountApply;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getAaid() {
        return aaid;
    }

    public void setAaid(Long aaid) {
        this.aaid = aaid;
    }

    public Long getFauu() {
        return fauu;
    }

    public void setFauu(Long fauu) {
        this.fauu = fauu;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }
}
