package com.uas.finance.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * created by shicr on 2017/12/20
 * 情况描述
 **/
@Entity
@Table(name = "businesscondition")
public class BusinessCondition implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "bc_id")
    private Long id;

    /**
     * 企业uu
     *
     * @return
     */
    @Column(name = "bc_enuu")
    private Long enuu;

    /**
     * 经营情况简述
     */
    @Column(name = "bc_bcremark")
    private String bc_bcremark;

    /**
     * 贸易流程简述
     *
     * @return
     */
    @Column(name = "bc_sweaterprocess")
    private String bc_sweaterprocess;

    @Column(name = "bc_cus_id")
    private Long cusId;

    /**
     * ERP系统中的主键id
     */
    @Column(name = "erpId")
    private Long erpId;

    @OneToOne(cascade = CascadeType.REFRESH)
    @JoinColumn(name = "bc_cus_id", insertable = false, updatable = false)
    private CustomerInfo customerInfo;

    public Long getErpId() {
        return erpId;
    }

    public void setErpId(Long erpId) {
        this.erpId = erpId;
    }

    public Long getCusId() {
        return cusId;
    }

    public void setCusId(Long cusId) {
        this.cusId = cusId;
    }


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public String getBc_bcremark() {
        return bc_bcremark;
    }

    public void setBc_bcremark(String bc_bcremark) {
        this.bc_bcremark = bc_bcremark;
    }

    public String getBc_sweaterprocess() {
        return bc_sweaterprocess;
    }

    public void setBc_sweaterprocess(String bc_sweaterprocess) {
        this.bc_sweaterprocess = bc_sweaterprocess;
    }
}
