package com.uas.finance.model;

import com.uas.finance.util.DateUtils;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


/**
 * created by shicr on 2017/12/20
 * 管理层信息
 **/
@Entity
@Table(name = "customerexcutive")
public class CustomerExcutive implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "ce_id")
    private Long id;

    /**
     * 企业uu
     *
     * @return
     */
    @Column(name = "ce_enuu")
    private Long enuu;

    /**
     * 高管姓名
     */
    @Column(name = "ce_name")
    private String ce_name;

    /**
     * 性别
     */
    @Column(name = "ce_sex")
    private String ce_sex;

    /**
     * 证件类型
     */
    @Column(name = "ce_paperstype")
    private String ce_paperstype;

    /**
     * 证件号码
     */
    @Column(name = "ce_paperscode")
    private String ce_paperscode;

    /**
     * 学历
     */
    @Column(name = "ce_education")
    private String ce_education;

    /**
     * 职务
     */
    @Column(name = "ce_position")
    private String ce_position;

    /**
     * 担任该职务时间
     */
    @Column(name = "ce_stwkfpo")
    private Date ce_stwkfpo;

    /**
     * 从事本行业时间
     */
    @Column(name = "ce_workeyears")
    private Integer ce_workeyears;

    /**
     * 住所
     */
    @Column(name = "ce_nowaddress")
    private String ce_nowaddress;

    /**
     * 工作简介
     */
    @Column(name = "ce_woekexper")
    private String ce_woekexper;

    /**
     * 客户资料id
     */
    @Column(name = "ce_cus_id")
    private Long cusId;

    /**
     * ERP系统中的主键id
     */
    @Column(name = "erpId")
    private Long erpId;

    @ManyToOne(cascade = CascadeType.REFRESH)
    @JoinColumn(name = "ce_cus_id", insertable = false, updatable = false)
    private CustomerInfo customerInfo;

    public Long getErpId() {
        return erpId;
    }

    public void setErpId(Long erpId) {
        this.erpId = erpId;
    }

    public Long getCusId() {
        return cusId;
    }

    public void setCusId(Long cusId) {
        this.cusId = cusId;
    }

   /* public CustomerInfo getCustomerInfo() {
        return customerInfo;
    }

    public void setCustomerInfo(CustomerInfo customerInfo) {
        this.customerInfo = customerInfo;
    }*/

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public String getCe_name() {
        return ce_name;
    }

    public void setCe_name(String ce_name) {
        this.ce_name = ce_name;
    }

    public String getCe_sex() {
        return ce_sex;
    }

    public void setCe_sex(String ce_sex) {
        this.ce_sex = ce_sex;
    }

    public String getCe_paperstype() {
        return ce_paperstype;
    }

    public void setCe_paperstype(String ce_paperstype) {
        this.ce_paperstype = ce_paperstype;
    }

    public String getCe_paperscode() {
        return ce_paperscode;
    }

    public void setCe_paperscode(String ce_paperscode) {
        this.ce_paperscode = ce_paperscode;
    }

    public String getCe_education() {
        return ce_education;
    }

    public void setCe_education(String ce_education) {
        this.ce_education = ce_education;
    }

    public String getCe_position() {
        return ce_position;
    }

    public void setCe_position(String ce_position) {
        this.ce_position = ce_position;
    }

    public Date getCe_stwkfpo() {
        return ce_stwkfpo;
    }

    public void setCe_stwkfpo(Date ce_stwkfpo) {
        this.ce_stwkfpo = ce_stwkfpo;
    }

    public Integer getCe_workeyears() {
        return ce_workeyears;
    }

    public void setCe_workeyears(Integer ce_workeyears) {
        this.ce_workeyears = ce_workeyears;
    }

    public String getCe_nowaddress() {
        return ce_nowaddress;
    }

    public void setCe_nowaddress(String ce_nowaddress) {
        this.ce_nowaddress = ce_nowaddress;
    }

    public String getCe_woekexper() {
        return ce_woekexper;
    }

    public void setCe_woekexper(String ce_woekexper) {
        this.ce_woekexper = ce_woekexper;
    }
}


