package com.uas.finance.model;


import javax.persistence.*;
import java.io.Serializable;

/**
 * created by shicr on 2017/12/20
 * 财务情况说明
 **/
@Entity
@Table(name = "financecondition")
public class FinanceCondition implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "fc_id")
    private Long id;

    /**
     * 企业uu
     *
     * @return
     */
    @Column(name = "fc_enuu")
    private Long enuu;

    /**
     * 账龄<=3个月
     */
    @Column(name = "fc_agingamount1")
    private Double fc_agingamount1;

    /**
     * 3个月<帐龄≤6个月
     */
    @Column(name = "fc_agingamount2")
    private Double fc_agingamount2;

    /**
     * 6个月<帐龄<=1年
     */
    @Column(name = "fc_agingamount4")
    private Double fc_agingamount4;

    /**
     * 帐龄>1年
     */
    @Column(name = "fc_agingamount3")
    private Double fc_agingamount3;

    /**
     * 其他应收账款说明
     */
    @Column(name = "fc_otharremark")
    private String fc_otharremark;

    /**
     * 其他应付账款说明
     */
    @Column(name = "fc_apremark")
    private String fc_apremark;

    /**
     * 客户资料id
     */
    @Column(name = "fc_cus_id")
    private Long cusId;

    /**
     * 截止至XX年
     */
    @Column(name = "fc_year")
    private Integer year;

    /**
     * 截止至XX月
     */
    @Column(name = "fc_month")
    private Integer month;
    /**
     * 余额
     */
    @Column(name = "fc_arbalance")
    private Double fc_arbalance;

    /**
     * 截止时间，年月的拼接,字段名按UAS表来写，不是手误
     */
    @Column(name = "fc_yearmonth")
    private Integer fc_yeatmonth;

    /**
     * ERP系统中的主键id
     */
    @Column(name = "erpId")
    private Long erpId;

    @OneToOne(cascade = CascadeType.REFRESH)
    @JoinColumn(name = "fc_cus_id", insertable = false, updatable = false)
    private CustomerInfo customerInfo;

    public Long getCusId() {
        return cusId;
    }

    public void setCusId(Long cusId) {
        this.cusId = cusId;
    }

    public Long getErpId() {
        return erpId;
    }

    public void setErpId(Long erpId) {
        this.erpId = erpId;
    }

    /* public CustomerInfo getCustomerInfo() {
        return customerInfo;
    }

    public void setCustomerInfo(CustomerInfo customerInfo) {
        this.customerInfo = customerInfo;
    }*/

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public Double getFc_agingamount1() {
        return fc_agingamount1;
    }

    public void setFc_agingamount1(Double fc_agingamount1) {
        this.fc_agingamount1 = fc_agingamount1;
    }

    public Double getFc_agingamount2() {
        return fc_agingamount2;
    }

    public void setFc_agingamount2(Double fc_agingamount2) {
        this.fc_agingamount2 = fc_agingamount2;
    }

    public Double getFc_agingamount4() {
        return fc_agingamount4;
    }

    public void setFc_agingamount4(Double fc_agingamount4) {
        this.fc_agingamount4 = fc_agingamount4;
    }

    public Double getFc_agingamount3() {
        return fc_agingamount3;
    }

    public void setFc_agingamount3(Double fc_agingamount3) {
        this.fc_agingamount3 = fc_agingamount3;
    }

    public String getFc_otharremark() {
        return fc_otharremark;
    }

    public void setFc_otharremark(String fc_otharremark) {
        this.fc_otharremark = fc_otharremark;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getMonth() {
        return month;
    }

    public void setMonth(Integer month) {
        this.month = month;
    }

    public Integer getFc_yeatmonth() {
        return fc_yeatmonth;
    }

    public void setFc_yeatmonth(Integer fc_yeatmonth) {
        this.fc_yeatmonth = fc_yeatmonth;
    }

    public String getFc_apremark() {
        return fc_apremark;
    }

    public void setFc_apremark(String fc_apremark) {
        this.fc_apremark = fc_apremark;
    }

    public Double getFc_arbalance() {
        return fc_arbalance;
    }

    public void setFc_arbalance(Double fc_arbalance) {
        this.fc_arbalance = fc_arbalance;
    }
}
