package com.uas.finance.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * created by shicr on 2017/12/24
 * 买方信息明细
 **/
@Entity
@Table(name = "mfcustinfodetail")
public class MFCustInfoDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "mfd_id")
    private Long id;

    /**
     * 年度
     */
    @Column(name = "mfd_year")
    private Integer mfd_year;

    /**
     * 购买总额
     */
    @Column(name = "mfd_amount")
    private Double mfd_amount;

    /**
     * 赊账总额
     */
    @Column(name = "mfd_chargeamount")
    private Double mfd_chargeamount;

    /**
     * 折扣金额
     */
    @Column(name = "mfd_discountamount")
    private Double mfd_discountamount;

    /**
     * 有无逾期
     */
    @Column(name = "mfd_overdue")
    private String mfd_overdue;


    /**
     * 买方信息id
     */
    @Column(name = "mfd_mf_id")
    private Long mfId;

    /**
     * ERP系统中的主键id
     */
    @Column(name = "erpId")
    private Long erpId;

    @ManyToOne(cascade = CascadeType.REFRESH)
    @JoinColumn(name = "mfd_mf_id", insertable = false, updatable = false)
    private MFCustInfo mfCustInfo;

    public Long getErpId() {
        return erpId;
    }

    public void setErpId(Long erpId) {
        this.erpId = erpId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getMfd_year() {
        return mfd_year;
    }

    public void setMfd_year(Integer mfd_year) {
        this.mfd_year = mfd_year;
    }

    public Double getMfd_amount() {
        return mfd_amount;
    }

    public void setMfd_amount(Double mfd_amount) {
        this.mfd_amount = mfd_amount;
    }

    public Double getMfd_chargeamount() {
        return mfd_chargeamount;
    }

    public void setMfd_chargeamount(Double mfd_chargeamount) {
        this.mfd_chargeamount = mfd_chargeamount;
    }

    public Double getMfd_discountamount() {
        return mfd_discountamount;
    }

    public void setMfd_discountamount(Double mfd_discountamount) {
        this.mfd_discountamount = mfd_discountamount;
    }

    public String getMfd_overdue() {
        return mfd_overdue;
    }

    public void setMfd_overdue(String mfd_overdue) {
        this.mfd_overdue = mfd_overdue;
    }

    public Long getMfId() {
        return mfId;
    }

    public void setMfId(Long mfId) {
        this.mfId = mfId;
    }

  /*  public MFCustInfo getMfCustInfo() {
        return mfCustInfo;
    }

    public void setMfCustInfo(MFCustInfo mfCustInfo) {
        this.mfCustInfo = mfCustInfo;
    }*/
}
