package com.uas.finance.model;

import javax.persistence.*;
import java.util.Date;

/**
 * created by shicr on 2018/2/24
 * 还款计划类
 **/
@Entity
@Table(name = "repaymentplan")
public class RepaymentPlan {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Long id;

    /**
     * 还款计划在ERP中的id值
     */
    @Column(name = "rp_id")
    private Long rp_id;

    /**
     * 还款日期
     */
    @Column(name = "rp_backdate")
    private Date rp_backdate;

    /**
     * 业务币种
     */
    @Column(name = "rp_currency")
    private String rp_currency;

    /**
     * 应还本期本金金额
     */
    @Column(name = "rp_principal")
    private Double rp_principal;

    /**
     * 应还本期利息金额
     */
    @Column(name = "rp_interest")
    private Double rp_interest;

    /**
     * 经办经理
     */
    @Column(name = "rp_truster")
    private String rp_truster;

    /**
     * 出账单id
     */
    @Column(name = "aaid")
    private Long aaid;

    /**
     * 还款是否结清
     */
    @Column(name = "rp_iscloseoff")
    private String rp_iscloseoff;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getRp_backdate() {
        return rp_backdate;
    }

    public void setRp_backdate(Date rp_backdate) {
        this.rp_backdate = rp_backdate;
    }

    public String getRp_currency() {
        return rp_currency;
    }

    public void setRp_currency(String rp_currency) {
        this.rp_currency = rp_currency;
    }

    public Double getRp_principal() {
        return rp_principal;
    }

    public void setRp_principal(Double rp_principal) {
        this.rp_principal = rp_principal;
    }

    public Double getRp_interest() {
        return rp_interest;
    }

    public void setRp_interest(Double rp_interest) {
        this.rp_interest = rp_interest;
    }

    public String getRp_truster() {
        return rp_truster;
    }

    public void setRp_truster(String rp_truster) {
        this.rp_truster = rp_truster;
    }

    public Long getAaid() {
        return aaid;
    }

    public void setAaid(Long aaid) {
        this.aaid = aaid;
    }

    public Long getRp_id() {
        return rp_id;
    }

    public void setRp_id(Long rp_id) {
        this.rp_id = rp_id;
    }

    public String getRp_iscloseoff() {
        return rp_iscloseoff;
    }

    public void setRp_iscloseoff(String rp_iscloseoff) {
        this.rp_iscloseoff = rp_iscloseoff;
    }
}
