package com.uas.finance.service;

import com.uas.finance.model.SellerQuota;

import java.util.List;

/**
 * 买方用户额度接口层
 * created by shicr on 2018/1/16
 **/
public interface SellerQuotaService {

    /**
     * 接收ERP传来的买方用户额度
     *
     * @param list
     * @param faid
     * @param status
     * @param access_id
     * @return
     */
    List<SellerQuota> getSeller(List<SellerQuota> list, Long faid, Integer status, Long access_id);

    /**
     * 找到某客户的所有买方
     *
     * @param uu
     */
    List<SellerQuota> findAll(Long uu);

    /**
     * 更新买方用户已用额度
     *
     * @param sellerQuota 买方用户
     * @param id          应收账款转让单id
     * @param iscloseoff  应收账款是否还清
     * @return
     */
    SellerQuota updateQuota(SellerQuota sellerQuota, Long id, String iscloseoff);
}
